Name: gjdoc
Version: 0.7.5
Release: %mkrel 2
Epoch: 0
URL: http://savannah.gnu.org/projects/classpath/
License: GPL
Summary: GNU Javadoc
Group: Development/Java

Source0: ftp://ftp.gnu.org/gnu/classpath/gjdoc-%{version}.tar.bz2
Patch0: %{name}-importprocessingorder.patch.bz2
Patch1: %{name}-resolvedimportnotfound.patch.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: gcc-java >= 0:4.0.1
BuildPrereq: antlr
Requires: gcc-libgcj >= 0:4.0.1
Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info

%description
A documentation generation system for "javadoc"-style comments.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p0
%patch1 -p0

%build
%configure
sed -i 's/^pic_flag=\"\"/pic_flag=\"\ \-fPIC\"/' libtool 
sed -i 's/^compiler_c_o=\"no\"/compiler_c_o=\"yes\"/' libtool 
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

if [ -e $RPM_BUILD_ROOT%{_datadir}/info/dir ]
then
  rm -rf $RPM_BUILD_ROOT%{_datadir}/info/dir
fi

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%_install_info gjdoc

%postun -p /sbin/ldconfig

%preun
%_remove_install_info gjdoc

%files
%defattr(-,root,root)
%doc README
%{_bindir}/gjdoc
%{_libdir}/lib-com-sun-javadoc.*
%{_libdir}/lib-com-sun-tools-doclets-Taglet.*
%{_libdir}/lib-gnu-classpath-tools-gjdoc.*
%{_javadir}/com-sun-javadoc-%{version}.jar
%{_javadir}/com-sun-tools-doclets-Taglet-%{version}.jar
%{_javadir}/gnu-classpath-tools-gjdoc-%{version}.jar
%{_infodir}/gjdoc.info*
%{_mandir}/man1/gjdoc*

%changelog
* Sun Sep 11 2005 David Walluck <walluck@mandriva.org> 0:0.7.5-2mdk
- fix libgcj requirement

* Sun Sep 11 2005 David Walluck <walluck@mandriva.org> 0:0.7.5-1mdk
- 0.7.5

* Sun May 22 2005  David Walluck <walluck@mandriva.org> 0:0.7.4-5.1mdk
- use macros for info pages
- add patch to handle single quotes in options (Julian Scheid)
- add patch to handle lack of whitespace before member names (Julian)
- add patches to ignore option case and deal with some error cases (Julian
  Scheid)

* Wed May 04 2005 David Walluck <walluck@mandriva.org> 0:0.7.4-3.1mdk
- release

* Tue Apr 26 2005 Andrew Overholt <overholt@redhat.com> 0.7.4-3
- Remove ppc64 as it appears to be hanging during the build.
  Will investigate.

* Mon Apr 25 2005 Andrew Overholt <overholt@redhat.com> 0.7.4-2
- Add patches from head (Julian Scheid).

* Sun Apr 24 2005 Andrew Overholt <overholt@redhat.com> 0.7.4-1
- New version.

* Tue Mar 15 2005 Andrew Overholt <overholt@redhat.com> 0.7.3-1
- New version.

* Wed Mar 09 2005 Andrew Overholt <overholt@redhat.com> 0.7.2-1
- New version.

* Thu Mar 03 2005 Andrew Overholt <overholt@redhat.com> 0.7.1-4
- Add workaround for extraneous directory on x86_64.
- Remove ia64 due to gcc backend bug.

* Wed Mar 02 2005 Andrew Overholt <overholt@redhat.com> 0.7.1-3
- %files tweaking.

* Tue Mar 01 2005 Andrew Overholt <overholt@redhat.com> 0.7.1-2
- Bump for gcc4 -> gcc.
- Re-add libtool hack.

* Fri Feb 25 2005 Andrew Overholt <overholt@redhat.com> 0.7.1-1
- Import new version.

* Wed Feb 09 2005 Andrew Overholt <overholt@redhat.com> 0.7.1-0.pre3.1
- Import 0.7.1-pre3.
- Remove libtool breakage workaround.

* Tue Feb 08 2005 Andrew Overholt <overholt@redhat.com> 0.7.1-0.pre2.4
- Add workaround for libtool breakage.
- Exclude s390 and s390x.

* Mon Feb 07 2005 Andrew Overholt <overholt@redhat.com> 0.7.1-0.pre2
- New upstream version.
- Add README.

* Sat Feb 05 2005 Andrew Overholt <overholt@redhat.com> 0.7.1-0.pre1
- Initial build of upstream pre-release.
- Import gbenson's previous specfile.
